#
# spec file for package dataquay
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname  0
Name:           dataquay
Version:        0.9.1
Release:        3.3
Summary:        C++ API for RDF data stores
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://breakfastquay.com/dataquay/
Source:         http://breakfastquay.com/files/releases/%{name}-%{version}.tar.bz2
Patch1:         dataquay-lib64.patch
Patch2:         dataquay-redland.patch
Patch4:         dataquay-sharedlib.patch
# PATCH-FIX-OPENSUSE dataquay-includedir.patch aloisio@gmx.co -- add dataquay subdir to include path
Patch5:         dataquay-includedir.patch
BuildRequires:  gcc-c++
BuildRequires:  libqt5-qtbase-common-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(redland)

%description
Dataquay is a library that provides a C++ API for an
RDF data store using Qt5 classes and containers.

%package     -n lib%{name}%{soname}
Summary:        C++ API for RDF data stores
Group:          System/Libraries

%description -n lib%{name}%{soname}
Dataquay is a library that provides a C++ API for an
RDF data store using Qt5 classes and containers.

%package devel
Summary:        Development files for dataquay, an RDF data store library
Group:          Development/Libraries/C and C++
Requires:       libdataquay%{soname} = %{version}

%description devel
Dataquay is a library that provides a C++ API for an
RDF data store using Qt5 classes and containers.

This subpackage contains the header files for developing
applications that want to make use of dataquay.

%prep
%autosetup -p1

%build
%qmake5 PREFIX=%{_prefix} LIBDIR=%{_libdir} dataquay.pro

%install
%qmake5_install
install -D -m0644 deploy/%{name}.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%post   -n lib%{name}%{soname} -p /sbin/ldconfig
%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files -n lib%{name}%{soname}
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README.txt
%{_libdir}/lib%{name}.so.%{soname}
%{_libdir}/lib%{name}.so.%{soname}.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Tue Jul 17 2018 aloisio@gmx.com
- Added dataquay-includedir.patch
* Fri Sep  8 2017 jengelh@inai.de
- Fix RPM groups. Ensure neutrality of descriptions.
- Use upstream name for -devel subpackage.
* Thu Aug 31 2017 aloisio@gmx.com
- Update to 0.9.1
  * Update to support Qt5 and newer C++ compilers. Now requires
    C++11 (though the library only makes minimal use of the
    standard).
  * Incorporate a number of build fixes
- Switched to Qt5
- Refreshed dataquay-redland.patch and dataquay-lib64.patch
- Added dataquay-sharedlib.patch
- Dropped dataquay-disable_tests.patch
- Spec cleanup
* Wed Oct 22 2014 avvissu@yandex.ru
- Fix to build on x86 architecture
* Sat Nov 24 2012 pascal.bleser@opensuse.org
- initial version (0.9)
